<% title "Software Updates" %>
<% breadcrumb link_to("Software Updates", updates_path) %>

<div id="license">
	<%= render "licenses/license", :license => @license %>
</div>

<div id="updates">
	<h2>Product Updates</h2>

	<%= form_tag '/updates/apply' do %>
		<%= render :partial => 'generic/proxy_settings', :object => @current_user %>

		<span class="btn">
			<%= submit_to_remote "check", "Check for Updates", :url => { :action => :check }, :update => :update_info, :loading => "$('update_checking').show();", :complete => "$('update_checking').hide();" %>
		</span>

		<div id="update_checking" style="display:none">
			<h2>Checking for Updates</h2>
			Please Wait...
		</div>

		<div id="update_info">
		</div>
	<% end %>
</div>

<% if UpdateOffline.supported? %>
	<p>
		Received an <%= link_to("Offline Update File?", '/updates/offline_apply' ) %>
	</p>
<% end %>

